mypy (1.19.1-5build1) resolute; urgency=medium

  * No-change rebuild to drop Python 3.13 bits.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2026 12:18:21 +0100

mypy (1.19.1-5) unstable; urgency=medium

  * i386: skip "testDataclassTransformClass_semanal" that crashes pytest
    (Python 3.14.3) on the debci workers.
    (I'm unable to reproduce locally or on the i386 porterbox.)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 08 Mar 2026 16:51:25 +0100

mypy (1.19.1-4) unstable; urgency=medium

  * python3-orjson is also available on i386.
  * Depend on newer dh-python and remove our parallel-building hack, now
    that it implements parallel building for us.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 03 Mar 2026 10:25:48 +0100

mypy (1.19.1-3) unstable; urgency=medium

  * Added patch for compatibility with pathspec version 1.0.0+

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Feb 2026 11:15:16 +0100

mypy (1.19.1-2) unstable; urgency=medium

  * d/tests: depend on all python3 -dev packages, not just the default
    version.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 Dec 2025 15:29:18 +0100

mypy (1.19.1-1) unstable; urgency=medium

  * d/rules: cope with no "parallel" setting in DEB_BUILD_OPTIONS
  * New upstream version
  * debputy lint --auto-fix (routine-update)
  * d/control: hard-code binary dependency on librt
  * d/rules: adjust test invocation
  * Self-test: assume Python 3.10 due to newer pytest version.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 Dec 2025 15:03:11 +0100

mypy (1.19.0-1) unstable; urgency=medium

  * New upstream version
  * Refresh the "verbose" patch
    drop "normalize-html-content-type-meta", it was applied upstream
  * d/control: new build-dep, python3-librt

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 28 Nov 2025 19:38:50 +0100

mypy (1.18.2-2) unstable; urgency=medium

  * Team upload.
  * Normalize HTML content-type meta (closes: #1120242).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Nov 2025 18:32:44 +0000

mypy (1.18.2-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Sep 2025 13:24:28 +0200

mypy (1.18.1-1) unstable; urgency=medium

  * New upstream version
  * d/control: cleanup. applied fix for :unnecessary greater-than
    versioned dependency: python3-lxml (>= 4.9.1). Debian has
    oldoldstable -> 4.6.3+dfsg-0.1+deb11u1; oldstable -> 4.9.2-1+b1;
    stable -> 5.4.0-1; unstable -> 6.0.1-1; testing -> 6.0.1-1;
  * Refreshed patches
  * Set upstream metadata fields: Documentation.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Sep 2025 12:06:23 +0200

mypy (1.17.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Aug 2025 15:09:14 +0200

mypy (1.17.1-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Aug 2025 13:38:57 +0200

mypy (1.16~rc0.1-1) experimental; urgency=medium

  * New upstream snapshot: https://github.com/python/mypy/commit/
    334469f999c5c777124a123062b4349614447e0d
  * d/patches: drop 3 patches applied upstream: 0005-pythoncapi_compat-
    don-t-define-Py_NULL-if-it-is-alre, gnu-hurd-getsockname, replace-
    old-typing_extensions-imports
  * d/control: new build requirement: python3-pathspec

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 28 May 2025 13:42:43 +0200

mypy (1.15.0-5) unstable; urgency=medium

  * Team upload.
  * Replace old typing_extensions imports in tests (closes: #1101856).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Apr 2025 18:08:15 +0100

mypy (1.15.0-4) unstable; urgency=medium

  * Team upload.
  * Unset CFLAGS when running tests (closes: #1098578).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 16:40:29 +0000

mypy (1.15.0-3) unstable; urgency=medium

  * Added patch to fix the Python3.12 build with gcc-15. Closes:
    #1097426

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Feb 2025 01:40:12 +0100

mypy (1.15.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add hurd-amd64 to list of architectures that use the multifile option

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 17 Feb 2025 08:18:50 +0100

mypy (1.15.0-2) unstable; urgency=medium

  [ Mattias Ellert ]
  * d/patches/gnu-hurd-getsockname: Address failing tests on GNU/Hurd
    - https://github.com/python/mypy/pull/18630
    (Closes: #1095420)
  * d/rules: Fix x32 build by using multifile option
  * d/rules: Use multifile option for all architectures that require reduced
    memory usage during compilation for consistency
    - i386 was using reduced the debug level instead
    - hurd-i386 was using both, which was an overkill
    - x32 was intending to use reduced debug level, but DEB_HOST_ARCH_CPU
      on x32 is amd64 so the filter did not match

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 11 Feb 2025 16:07:42 +0100

mypy (1.15.0-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 05 Feb 2025 08:50:46 +0100

mypy (1.15~rc0.2-1) experimental; urgency=medium

  * d/rules: added a build profile extension: pkg.mypy.multifile to speed up
    compilation by enabling MYPYC_MULTI_FILE=1 even on architectures where
    we don't normally do that.
  * d/rules: added a build profile extension: pkg.mypy.o1 to speed up
    compilation by enabling MYPYC_OPT_LEVEL=1 → -O1 instead of -O3
  * d/rules: enable building the python extensions in parallel, respecting
    DEB_BUILD_OPTIONS.
  * d/salsa-ci.yml: Enable both of the speed-up build profiles to hopefully
    finish the build within the 3 hour limit.
  * Snapshot from upstream for experimental
    https://github.com/python/mypy/commit/23d862dd6fbb905a69bcb31e88746dc7a1eb4a43
  * Refreshed the patches
  * d/control: added build-dependency on python3-sphinx-inline-tabs for
    the docs
  * mypyc: Install googletest and lib-rt/{setup.py,*.cc} to the correct locations.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 24 Jan 2025 10:21:23 +0100

mypy (1.14.1-3) unstable; urgency=medium

  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing. Unbreaks the build on hurd-* where
    psutil does not work.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 23 Jan 2025 09:24:57 +0100

mypy (1.14.1-2) unstable; urgency=medium

  * d/rules: Applied patch from Samuel Thibault to fix FTBFS on hurd-i386.
    Closes: #1093423

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 21 Jan 2025 16:30:17 +0100

mypy (1.14.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 01 Jan 2025 19:18:35 -0800

mypy (1.14.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/control: update build-depends, remove python3-wheel.
  * Refreshed patches
  * d/source/lintian-overrides: unneeded, removed
  * testing: skip testDaemonStatusKillRestartRecheck

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 20 Dec 2024 19:46:11 -0800

mypy (1.13.0-2) unstable; urgency=medium

  * Team upload.
  * drop Depends: python3-orjson on arches alongside i386 where it is
    not available (rust is not available) [!alpha !hppa !m68k !sh4 !x32]
    See Bug#1087727. Closes: #1087661, #1087662.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Nov 2024 19:57:54 +0100

mypy (1.13.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed the patches
  * recommend python3-orjson for a faster cache

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Oct 2024 17:12:46 +0200

mypy (1.12.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 21 Oct 2024 08:49:07 +0200

mypy (1.12.0-1) unstable; urgency=medium

  * New upstream version supports Python 3.13. Closes: #1081617
  * d/control: docs now need python3-myst-parser
  * d/control: adjust python dev build-deps to be more crossbuild
    friendly.
  * d/control: add some minimum versions to the {build-,}deps
  * d/control: drop python3-pkg-resources dependency, it is unneeded.
    Closes: #1083500

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 14 Oct 2024 14:06:23 +0200

mypy (1.11.2-3) unstable; urgency=medium

  * d/rules: adjust build flags for mips64el

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 11:27:22 +0200

mypy (1.11.2-2) unstable; urgency=medium

  * d/tests/run-unit-test: also run the mypyc tests
  * d/tests/run-unit-test: skip some tests that are not runnable post-
    installation.
  * d/tests/control: need g++ for mypyc tests

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 04 Sep 2024 15:09:45 +0200

mypy (1.11.2-1) unstable; urgency=medium

  * New upstream version
  * d/patches: removed the patches that were cherry-picked from upstream
    that are now apart of the new release.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 09:31:14 +0900

mypy (1.11.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:55:57 +0200

mypy (1.11.1-2~0exp1) experimental; urgency=medium

  * d/rules: compile with less debugging on i386 to avoid running out of
    virtual memory.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 12:46:40 +0200

mypy (1.11.1-2~0exp0) experimental; urgency=medium

  * d/patches: cherry-pick 3 patches from upstream to fix a regression
    found in SQLalchemy
  * d/rules: add "-Wno-misleading-indentation" as there are too many
    lines of autogenerated code to care about such a thing.
  * Include snapshot of the sphinx objects from monkeytype.org, updated
    intersphinx patch to use them to generate valid links to those external
    docs.
  * Silence many lintian warnings that have been reported upstream
  * Also build the mypyc docs
  * d/rules: compile with a normal debugging level: -g2
  * Simplify the nodoc logic

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Aug 2024 15:51:13 +0200

mypy (1.11.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 15:20:23 +0200

mypy (1.11.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed intersphinx patch to link to the local docs.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 10:04:42 +0200

mypy (1.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 25 Jun 2024 03:16:18 +0200

mypy (1.10.0-1) unstable; urgency=medium

  * New upstream version
  * Remove patches applied upstream: self_check, typing_extensions_4.10, pytest8
  * d/patches/intersphinx: updated path for cython3 & six docs
  * d/control: mypy-doc, bump suggests to recommends

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 24 Apr 2024 17:13:26 +0300

mypy (1.9.0-4) unstable; urgency=medium

  * d/{tests/,}control: Pin the minimum version of pytest
  * d/rules: try MYPYC_MULTI_FILE=1 on weaker archs instead of other
    build tricks.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Mar 2024 07:45:33 +0100

mypy (1.9.0-3) unstable; urgency=medium

  * Added patch to fix FTBFS with Pytest 8.1+

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Mar 2024 16:52:29 +0100

mypy (1.9.0-2) unstable; urgency=medium

  * d/patches/typing_extensions_4.10.path: cherry-pick from upstream.
    Closes: #1065805.
  * d/control: pin minimum version of the typing_extensions dependency to 4.10

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Mar 2024 14:37:18 +0100

mypy (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Refreshed patches.
  * d/upstream/metadata: link to the changelog.
  * d/patches/self_check.patch: cherry-picked from upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 09 Mar 2024 09:33:10 +0100

mypy (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: remove sphinx_7 which upstream merged.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Dec 2023 18:42:00 +0100

mypy (1.7.1-3) unstable; urgency=medium

  * Missed a test fix for the Debian-specific typeshed advice.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Dec 2023 21:17:15 +0100

mypy (1.7.1-2) unstable; urgency=medium

  * d/rules: Build fixes for mips64el (and hppa) courtesy of Adrian
    Bunk.
  * d/patches/hint-typeshed-package: mention the python3-typeshed Debian
    package, when appropriate. Thanks to Markus Demleitner <msdemlei@fsfe.org>
    for the suggestion (Closes: #1043266).

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Dec 2023 12:47:14 +0100

mypy (1.7.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 23 Nov 2023 19:16:19 +0100

mypy (1.7.0-3) unstable; urgency=medium

  * r/rules: skip compiling using mypyc on riscv64.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 16 Nov 2023 15:58:40 +0100

mypy (1.7.0-2) unstable; urgency=medium

  * d/rules: drop armhf down to -O1 due to persistant out of memory
    errors on the buildbots.
  * d/rules: reduce build-time gcc debugging level (to "-g1") for all 32-bit
    archs.
  * d/rules: try again to compile using mypyc on riscv64 and mips64el.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Nov 2023 19:37:41 +0100

mypy (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches/sphinx_7: fix for newer Sphinx.
  * d/rules: skip two tests that don't expect the docutils types we pull in
             as part of python3-typeshed, and the PEP561Suite due to needing
             internet access to PyPI

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Nov 2023 11:26:34 +0100

mypy (1.6.1-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 30 Oct 2023 20:22:23 +0100

mypy (1.6.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patch for python3.10.3
  * d/rules: remove skip of PEP561Suite

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 11 Oct 2023 12:10:28 +0200

mypy (1.5.1-2) unstable; urgency=medium

  * Demote armel/armhf to "-O2".

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 18 Aug 2023 15:04:32 +0200

mypy (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/source/lintian-overrides: update to match changes in upstream
  * d/rules: skip the PEP561Suite tests which require internet access

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 16 Aug 2023 19:44:24 +0200

mypy (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.5.0 (Closes: #1042039)
    - Refresh patches
    - Build-Depend on python3-attr

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 11 Aug 2023 13:05:43 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-mypy`.
